Bug 860850 (CVE-2012-4462) - CVE-2012-4462 condor: DoS when removing jobs via jobcontrol.py when job id is in square brackets
Summary: CVE-2012-4462 condor: DoS when removing jobs via jobcontrol.py when job id is...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-4462
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 840410 862110
Blocks: 860852
TreeView+ depends on / blocked
 
Reported: 2012-09-26 21:05 UTC by Vincent Danen
Modified: 2019-09-29 12:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-06 22:24:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0564 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 23:37:09 UTC
Red Hat Product Errata RHSA-2013:0565 normal SHIPPED_LIVE Low: Red Hat Enterprise MRG Grid 2.3 security update 2013-03-06 23:47:43 UTC

Description Vincent Danen 2012-09-26 21:05:45 UTC
Daniel Horák discovered that condor_schedd would crash when attempting to remove a job via /usr/share/condor/aviary/jobcontrol.py with CPROC in square brackets (e.g. "jobcontrol.py --cmd=removeJob --cproc=[1.0]").  If the aviary_query_server is configured to listen to public interfaces, this could allow a remote attacker to cause a denial of service condition in condor_schedd.  While condor_schedd will be restarted by the condor_master process after it exits, condor_master will throttle back restarts each crash.  This will slowly increment to the defined MASTER_BACKOFF_CEILING value (defaults to 3600s, or 1 hour).

In the recommended configuration scenario (deployed in a secure manner to prevent the aviary_query_server being exposed to unauthenticated users), this DoS can only be triggered by authenticated users, however they do not need the ADMINISTRATOR privilege to cause condor_schedd to halt.

Comment 1 Vincent Danen 2012-10-01 22:32:32 UTC
This was corrected upstream with git commit 8f9b304c:

http://condor-git.cs.wisc.edu/?p=condor.git;a=commit;h=8f9b304c4f6c0a98dafa61b2c0e4beb3b70e4c84

And was assigned the name CVE-2012-4462.

Comment 2 Vincent Danen 2012-10-01 22:33:31 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having low security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 3 Vincent Danen 2012-10-01 22:34:25 UTC
Created condor tracking bugs for this issue

Affects: fedora-all [bug 862110]

Comment 4 Murray McAllister 2013-03-03 22:17:51 UTC
Acknowledgements:

This issue was discovered by Daniel Horak of the Red Hat Enterprise MRG Quality Engineering Team.

Comment 5 errata-xmlrpc 2013-03-06 18:46:55 UTC
This issue has been addressed in following products:

  MRG for RHEL-5 v. 2

Via RHSA-2013:0564 https://rhn.redhat.com/errata/RHSA-2013-0564.html

Comment 6 errata-xmlrpc 2013-03-06 18:50:05 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0565 https://rhn.redhat.com/errata/RHSA-2013-0565.html


Note You need to log in before you can comment on or make changes to this bug.